<?xml version="1.0" encoding="UTF-8"?>
<SAN_Simulator>
	<!--
		General classes related to server profile.
	-->
	<Class Name="IBMTS_RegisteredProfile" Namespace="/root/ibm"
		NOI="1">
		<Property Name="AdvertiseTypeDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="AdvertiseTypes" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
			<Value>SMIS Server Profile</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>SMIS Server Profile</Value>
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true">
			<Value>IBMTS:Server</Value>
		</Property>
		<Property Name="OtherRegisteredOrganization" Type="string"
			Random="false">
		</Property>
		<Property Name="RegisteredName" Type="string" Random="false">
			<Value>Server</Value>
		</Property>
		<Property Name="RegisteredOrganization" Type="uint16"
			Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="RegisteredVersion" Type="string"
			Random="false">
			<Value>1.0.3</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_RegisteredProfile" Namespace="/root/ibm"
		NOI="1">
		<Property Name="AdvertiseTypeDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="AdvertiseTypes" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true">
			<Value>Array</Value>
		</Property>
		<Property Name="OtherRegisteredOrganization" Type="string"
			Random="false">
			<Value>SNIA</Value>
		</Property>
		<Property Name="RegisteredName" Type="string" Random="false">
			<Value>Array</Value>
		</Property>
		<Property Name="RegisteredOrganization" Type="uint16"
			Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="RegisteredVersion" Type="string"
			Random="false">
			<Value>1.0.3</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_RegisteredSubProfile" Namespace="/root/ibm"
		NOI="10">
		<Property Name="AdvertiseTypeDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="AdvertiseTypes" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true" Multiple="true">
			<Value>Extra Capacity Set</Value>
			<Value>Access Points</Value>
			<Value>LUN Mapping and Masking</Value>
			<Value>Disk Drive</Value>
			<Value>Location</Value>
			<Value>LUN Creation</Value>
			<Value>Software</Value>
			<Value>Pool Manipulation Capabilities and Settings</Value>
			<Value>Copy Services</Value>
			<Value>Extent Mapping</Value>
		</Property>
		<Property Name="OtherRegisteredOrganization" Type="string"
			Random="false">
			<Value>SNIA</Value>
		</Property>
		<Property Name="RegisteredName" Type="string" Random="false"
			Refers="InstanceID">
			<Value>Extra Capacity Set</Value>
		</Property>
		<Property Name="RegisteredOrganization" Type="uint16"
			Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="RegisteredVersion" Type="string"
			Random="false">
			<Value>1.0.3</Value>
		</Property>
	</Class>

	<Class Name="IBMTS_ObjectManager" Namespace="/root/ibm" NOI="1">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTS_ObjectManager</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>
				IBM TotalStorage DS CIM Agent Version 5.1.0.40
			</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>ESS CIM Agent 5.1.0.40</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="GatherStatisticalData" Type="boolean"
			Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>IBM_CIMOM_1171051036609_1978098978</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerName" Type="string"
			Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="Started" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="StartMode" Type="string" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
			<Value>OK</Value>
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBM_TS</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true">
			<Value>IBM SSG CIMOM</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="Version" Type="string" Random="false">
			<Value>5.1.0.40</Value>
		</Property>
	</Class>

	<!-- 
		classes related to storage system
	-->
	<Class Name="IBMTS_IndicationFilter" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>CIM_IndicationFilter</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>CIM_InstCreation Filter</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>CIM_InstCreation Filter</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>CIM_InstCreation</Value>
		</Property>
		<Property Name="Query" Type="string" Random="false">
			<Value>SELECT * FROM CIM_InstCreation</Value>
		</Property>
		<Property Name="QueryLanguage" Type="string" Random="false">
			<Value>WQL</Value>
		</Property>
		<Property Name="SourceNamespace" Type="string" Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>CIM_IndicationFilter</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true">
			<Value>IBMTS</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_StorageSystem" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="cache" Type="string" Random="false">
			<Value></Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
			<Value>IBM TotalStorage DS6000</Value>
		</Property>
		<Property Name="codelevel" Type="string" Random="false">
			<Value>5.2.0.917</Value>
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="Dedicated" Type="uint16[]" Random="false">
			<Value>3,15</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value CfgProp="STORAGE_SYSTEM_NAME"></Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>IBM TotalStorage DS6000</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false"
			Refers="true" Multiple="true">
			<Value Prefix="">ElementName</Value>
			<Value Prefix=" ">Name</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]"
			Random="false">
			<Value>
				IPAddressV4Cluster;IPAddressV4ClusterA,
				DNSName;DNSNameA, IPAddressV4SMC, MTMS, Machine
				signature, WWNN
			</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="Model" Type="string" Random="false">
			<Value>511</Value>
		</Property>
		<Property Name="NameFormat" Type="string" Random="false">
			<Value>Other</Value>
		</Property>
		<Property Name="nvs" Type="string" Random="false">
			<Value></Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherDedicatedDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]"
			Random="false">
			<Value>
				1.1.1.1;1.1.1.1,
				a.b.com;a.b.com,
				1.1.1.1, IBM.111.111.111, 0000000000000001,
				0000000000000001
			</Value>
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string"
			Random="false">
			<Value>IBM Customer</Value>
		</Property>
		<Property Name="PrimaryOwnerName" Type="string"
			Random="false">
			<Value>IBM Corporation</Value>
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="ResetCapability" Type="uint16" Random="false">
		</Property>
		<Property Name="Roles" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
			<Value>OK</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
	</Class>

	<Class Name="IBMTSESS_Provider" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_Provider</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>IBM ESS CIM Provider</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>IBM ESS CIM Provider</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="Handle" Type="string" Random="false">
			<Value>com.ibm.provider.ess.EssProvider</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>IBM ESS Provider</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerName" Type="string"
			Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="Started" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="StartMode" Type="string" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
			<Value>OK</Value>
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTS</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true">
			<Value>IBM Provider</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="version" Type="string" Random="false">
			<Value>5.1.0.40</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_ProtocolControllerMaskingCapabilities"
		Namespace="/root/ibm" NOI="1">
		<Property Name="AttachDeviceSupported" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="ClientSelectableDeviceNumbers" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>ProtocolControllerMaskingCapabilities</Value>
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true">
			<Value>ProtocolControllerMaskingCapabilities</Value>
		</Property>
		<Property Name="OneHardwareIDPerView" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="OnePortPerView" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="OtherValidHardwareIDTypes" Type="string[]"
			Random="false">
		</Property>
		<Property Name="PortsPerView" Type="uint16" Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="PrivilegeDeniedSupported" Type="boolean"
			Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="ProtocolControllerRequiresAuthorizedIdentity"
			Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="ProtocolControllerSupportsCollections"
			Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="UniqueUnitNumbersPerPort" Type="boolean"
			Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="ValidHardwareIdTypes" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_Chassis" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="AudibleAlarm" Type="boolean" Random="false">
		</Property>
		<Property Name="BreachDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="CableManagementStrategy" Type="string"
			Random="false">
		</Property>
		<Property Name="CanBeFRUed" Type="boolean" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="ChassisPackageType" Type="uint16"
			Random="false">
		</Property>
		<Property Name="ChassisTypeDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="ChassisTypes" Type="uint16[]" Random="false">
			<Value>22</Value>
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_Chassis</Value>
		</Property>
		<Property Name="CurrentRequiredOrProduced" Type="sint16"
			Random="false">
			<Value>-1</Value>
		</Property>
		<Property Name="Depth" Type="real32" Random="false"></Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>Chassis</Value>
		</Property>
		<Property Name="HeatGeneration" Type="uint16" Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="Height" Type="real32" Random="false"></Property>
		<Property Name="HotSwappable" Type="boolean" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="IsLocked" Type="boolean" Random="false">
		</Property>
		<Property Name="LockPresent" Type="boolean" Random="false">
		</Property>
		<Property Name="ManufactureDate" Type="datetime"
			Random="false">
		</Property>
		<Property Name="Manufacturer" Type="string" Random="false">
			<Value>IBM</Value>
		</Property>
		<Property Name="Model" Type="string" Random="false"
			Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1000.1000001</Value>
		</Property>
		<Property Name="MultipleSystemSupport" Type="uint16"
			Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false"></Property>
		<Property Name="NumberOfPowerCords" Type="uint16"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string"
			Random="false">
		</Property>
		<Property Name="PartNumber" Type="string" Random="false">
		</Property>
		<Property Name="PoweredOn" Type="boolean" Random="false">
		</Property>
		<Property Name="RackMountable" Type="uint16" Random="false">
		</Property>
		<Property Name="Removable" Type="boolean" Random="false">
		</Property>
		<Property Name="RemovalConditions" Type="uint16"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Replaceable" Type="boolean" Random="false">
		</Property>
		<Property Name="SecurityBreach" Type="uint16" Random="false">
		</Property>
		<Property Name="SerialNumber" Type="string" Random="false">
		</Property>
		<Property Name="ServiceDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="ServicePhilosophy" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="SKU" Type="string" Random="false"></Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="Tag" Type="string" Random="false" Key="true"
			Refers="Model">
			<Value>1000.1000001</Value>
		</Property>
		<Property Name="TypeDescriptions" Type="string[]"
			Random="false">
			<Value>IBM Enterprise System Server</Value>
		</Property>
		<Property Name="UserTracking" Type="string" Random="false">
		</Property>
		<Property Name="VendorEquipmentType" Type="string"
			Random="false">
		</Property>
		<Property Name="Version" Type="string" Random="false">
		</Property>
		<Property Name="VisibleAlarm" Type="boolean" Random="false">
		</Property>
		<Property Name="Weight" Type="real32" Random="false"></Property>
		<Property Name="Width" Type="real32" Random="false"></Property>
	</Class>

	<Class Name="IBMTSESS_Cluster" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="ClusterState" Type="uint16" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_Cluster</Value>
		</Property>
		<Property Name="Dedicated" Type="uint16[]" Random="false">
			<Value>3,15</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value></Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>Cluster on SHARK</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="Interconnect" Type="string" Random="false"
			Multiple="true">
			<Value>00</Value>
			<Value>01</Value>
		</Property>
		<Property Name="InterconnectAddress" Type="string"
			Random="false">
		</Property>
		<Property Name="MaxNumberOfNodes" Type="uint32"
			Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true"
			Refers="true" Multiple="true">
			<Value External="IBMTSESS_StorageSystem">Name</Value>
		</Property>
		<Property Name="NameFormat" Type="string" Random="false">
			<Value>Other</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherDedicatedDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]"
			Random="false">
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerName" Type="string"
			Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="ResetCapability" Type="uint16" Random="false">
		</Property>
		<Property Name="Roles" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
			<Value>OK</Value>
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="Types" Type="uint16[]" Random="false">
		</Property>
	</Class>

	<Class Name="IBMTSESS_StorageSetting" Namespace="/root/ibm"
		NOI="2">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="DataRedundancyGoal" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="DataRedundancyMax" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="DataRedundancyMin" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="DeltaReservationGoal" Type="uint8"
			Random="false">
			<Value>100</Value>
		</Property>
		<Property Name="DeltaReservationMax" Type="uint8"
			Random="false">
			<Value>100</Value>
		</Property>
		<Property Name="DeltaReservationMin" Type="uint8"
			Random="false">
			<Value>100</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false"
			Multiple="true">
			<Value>Storage Setting for RAID5</Value>
			<Value>Storage Setting for RAID10</Value>
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true" Multiple="true">
			<Value>raid5</Value>
			<Value>raid10</Value>
		</Property>
		<Property Name="NoSinglePointOfFailure" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="PackageRedundancyGoal" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="PackageRedundancyMax" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="PackageRedundancyMin" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_StorageHardwareIDManagementService"
		Namespace="/root/ibm" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_StorageHardwareIDManagementService</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>StorageHardwareIDManagementService</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>StorageHardwareIDManagementService</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerName" Type="string"
			Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="Started" Type="boolean" Random="false">
		</Property>
		<Property Name="StartMode" Type="string" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
	</Class>

	<Class Name="IBMTSESS_StorageCapabilities" Namespace="/root/ibm"
		NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="DataRedundancyDefault" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="DataRedundancyMax" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="DataRedundancyMin" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="DeltaReservationDefault" Type="uint16"
			Random="false">
			<Value>100</Value>
		</Property>
		<Property Name="DeltaReservationMax" Type="uint16"
			Random="false">
			<Value>100</Value>
		</Property>
		<Property Name="DeltaReservationMin" Type="uint16"
			Random="false">
			<Value>100</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>Storage Capabilities for VolumeSpace</Value>
		</Property>
		<Property Name="ElementType" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS</Value>
		</Property>
		<Property Name="NoSinglePointOfFailure" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="NoSinglePointOfFailureDefault" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="PackageRedundancyDefault" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="PackageRedundancyMax" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="PackageRedundancyMin" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_StorageProcessorCard" Namespace="/root/ibm"
		NOI="2">
		<Property Name="CanBeFRUed" Type="boolean" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_StorageProcessorCard</Value>
		</Property>
		<Property Name="Depth" Type="real32" Random="false"></Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false"
			Multiple="true">
			<Value>Cluster One Processor Card</Value>
			<Value>Cluster Two Processor Card</Value>
		</Property>
		<Property Name="Height" Type="real32" Random="false"></Property>
		<Property Name="HostingBoard" Type="boolean" Random="false">
		</Property>
		<Property Name="HotSwappable" Type="boolean" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="ManufactureDate" Type="datetime"
			Random="false">
		</Property>
		<Property Name="Manufacturer" Type="string" Random="false">
			<Value>IBM</Value>
		</Property>
		<Property Name="Model" Type="string" Random="false">
			<Value>1000</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Refers="Name"
			External="IBMTSESS_StorageSystem">
			<Value>1000.1000001</Value>
		</Property>
		<Property Name="OperatingVoltages" Type="sint16[]"
			Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string"
			Random="false">
		</Property>
		<Property Name="PartNumber" Type="string" Random="false">
		</Property>
		<Property Name="PoweredOn" Type="boolean" Random="false">
		</Property>
		<Property Name="Removable" Type="boolean" Random="false">
		</Property>
		<Property Name="RemovalConditions" Type="uint16"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Replaceable" Type="boolean" Random="false">
		</Property>
		<Property Name="RequirementsDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="RequiresDaughterBoard" Type="boolean"
			Random="false">
		</Property>
		<Property Name="SerialNumber" Type="string" Random="false">
		</Property>
		<Property Name="SKU" Type="string" Random="false"></Property>
		<Property Name="SlotLayout" Type="string" Random="false">
		</Property>
		<Property Name="SpecialRequirements" Type="boolean"
			Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="Tag" Type="string" Random="false" Key="true"
			Refers="true" Multiple="true">
			<Value Prefix="">Name</Value>
			<Value Prefix=" ">ElementName</Value>
		</Property>
		<Property Name="UserTracking" Type="string" Random="false">
		</Property>
		<Property Name="VendorEquipmentType" Type="string"
			Random="false">
		</Property>
		<Property Name="Version" Type="string" Random="false">
		</Property>
		<Property Name="Weight" Type="real32" Random="false"></Property>
		<Property Name="Width" Type="real32" Random="false"></Property>
	</Class>



	<!--
		Classes related to FCPort.
	-->

	<Class Name="IBMTSESS_FCPort" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_PORTS]">
		<Property Name="ActiveCOS" Type="uint16[]" Random="false">
		</Property>
		<Property Name="ActiveFC4Types" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="ActiveMaximumTransmissionUnit" Type="uint64"
			Random="false">
		</Property>
		<Property Name="AdditionalAvailability" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="AutoSense" Type="boolean" Random="false">
		</Property>
		<Property Name="Availability" Type="uint16" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_FCPort</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="PermanentAddress" Type="string" Random="true"
			Multiple="true">
			<Value>8</Value>
			<Value>8</Value>
		</Property>
		<Property Name="DeviceID" Type="string" Random="false"
			Key="true" Refers="PermanentAddress">
			<Value>4</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false"
			Refers="ElementName" External="IBMTSESS_StorageSystem">
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnclosureNumber" Type="string" Random="false">
		</Property>
		<Property Name="ErrorCleared" Type="boolean" Random="false">
		</Property>
		<Property Name="ErrorDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="FullDuplex" Type="boolean" Random="false">
		</Property>
		<Property Name="HostAdapter" Type="string" Random="false">
			<Value>U1750511.6849312-P1-C4</Value>
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="LastErrorCode" Type="uint32" Random="false">
		</Property>
		<Property Name="LinkTechnology" Type="uint16" Random="false">
		</Property>
		<Property Name="loc" Type="string" Random="false"
			Refers="HostAdapter">
			<Value>U1750511.6849312-P1-C4</Value>
		</Property>
		<Property Name="MaxQuiesceTime" Type="uint64" Random="false">
		</Property>
		<Property Name="MaxSpeed" Type="uint64" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false"></Property>
		<Property Name="NetworkAddresses" Type="string[]"
			Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]"
			Random="false">
		</Property>
		<Property Name="OtherLinkTechnology" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherNetworkPortType" Type="string"
			Random="false">
		</Property>

		<Property Name="PortNumber" Type="uint16" Random="false"
			Incremental="true">
			<Value>1</Value>
		</Property>
		<Property Name="PortType" Type="uint16" Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="PowerManagementSupported" Type="boolean"
			Random="false">
		</Property>
		<Property Name="PowerOnHours" Type="uint64" Random="false">
		</Property>
		<Property Name="RequestedSpeed" Type="uint64" Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="RIOLoop" Type="string" Random="false">
		</Property>
		<Property Name="Speed" Type="uint64" Random="false"></Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="StatusInfo" Type="uint16" Random="false">
		</Property>
		<Property Name="SupportedCOS" Type="uint16[]" Random="false">
		</Property>
		<Property Name="SupportedFC4Types" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="SupportedMaximumTransmissionUnit" Type="uint64"
			Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1000.1000001</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="topology" Type="string" Random="false">
			<Value>SCSIFcp</Value>
		</Property>
		<Property Name="TotalPowerOnHours" Type="uint64"
			Random="false">
		</Property>
		<Property Name="type" Type="string" Random="false">
			<Value>FIBRE</Value>
		</Property>
		<Property Name="UsageRestriction" Type="uint16"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="wwn" Type="string" Random="false"
			Refers="PermanentAddress">
			<Value>500507630E8609C2</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_SCSIProtocolController" Namespace="/root/ibm"
		NOI="" CfgExp="[NUMBER_OF_PORTS]">
		<Property Name="AdditionalAvailability" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="Availability" Type="uint16" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_SCSIProtocolController</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="DeviceID" Type="string" Random="true" Key="true"
			Multiple="true">
			<Value>8</Value>
			<Value>8</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="true">
			<Value>6</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="ErrorCleared" Type="boolean" Random="false">
		</Property>
		<Property Name="ErrorDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="LastErrorCode" Type="uint32" Random="false">
		</Property>
		<Property Name="LunIDs" Type="uint32[]" Random="false">
			<Value>0,1</Value>
		</Property>
		<Property Name="MaxQuiesceTime" Type="uint64" Random="false">
		</Property>
		<Property Name="MaxUnitsControlled" Type="uint32"
			Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false"></Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]"
			Random="false">
		</Property>
		<Property Name="PortGroup" Type="uint32" Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="PortProfile" Type="string" Random="false">
			<Value>Intel - Windows 2000</Value>
		</Property>
		<Property Name="Ports" Type="string[]" Random="false">
			<Value>0000,0001,0002,0003,0100,0101,0102,0103</Value>
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="PowerManagementSupported" Type="boolean"
			Random="false">
		</Property>
		<Property Name="PowerOnHours" Type="uint64" Random="false">
		</Property>
		<Property Name="ProtocolSupported" Type="uint64"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="StatusInfo" Type="uint16" Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="TotalPowerOnHours" Type="uint64"
			Random="false">
		</Property>
		<Property Name="VolumeGroup" Type="uint32" Random="false">
			<Value>33</Value>
		</Property>
		<Property Name="Volumes" Type="string[]" Random="false">
			<Value>1122,1123</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_Privilege" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_PORTS]">
		<Property Name="Activities" Type="uint16[]" Random="false">
			<Value>5,6</Value>
		</Property>
		<Property Name="ActivityQualifiers" Type="string[]"
			Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false"
			Refers="DeviceID" External="IBMTSESS_SCSIProtocolController">
			<Value>210000E08B10D18B</Value>
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true" Refers="true" Multiple="true">
			<Value External="IBMTSESS_StorageSystem" Prefix=""
				Suffix="-">
				Name
			</Value>
			<Value Prefix="" Suffix="">ElementName</Value>
		</Property>
		<Property Name="PrivilegeGranted" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="QualifierFormats" Type="uint16[]"
			Random="false">
		</Property>
	</Class>


	<!--
		Classes related to primordial storage pool.
	-->

	<Class Name="IBMTSESS_PrimordialStoragePool" Namespace="/root/ibm"
		NOI="1">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>Primordial StoragePool</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false"></Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="PoolID" Type="string" Random="false">
			<Value>Primordial StoragePool</Value>
		</Property>
		<Property Name="Primordial" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="RemainingManagedSpace" Type="uint64"
			Random="false">
			<Value>10995116277760</Value>
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="TotalManagedSpace" Type="uint64"
			Random="false">
			<Value>10995116277760</Value>
		</Property>
	</Class>

	<!-- 
		Classes related to storage pool, volume, disk and extent.
	-->

	<Class Name="IBMTSESS_VolumeSpace" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_POOLS]" AutoGenerate="false">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="true"
			Prefix="VS">
			<Value>2</Value>
		</Property>
		<Property Name="basedon" Type="string[]" Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="format" Type="string" Random="false">
			<Value>FB</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true" Refers="true" Multiple="true">
			<Value External="IBMTSESS_StorageSystem" prefix=""
				suffix="-">
				Name
			</Value>
			<Value prefix="" suffix="">ElementName</Value>
		</Property>
		<Property Name="logicalCap" Type="uint64" Random="false">
			<Value>10737418240</Value>
		</Property>
		<Property Name="logicalFree" Type="uint64" Random="false">
			<Value>10737418240</Value>
		</Property>
		<Property Name="lss" Type="string" Random="false"></Property>
		<Property Name="Name" Type="string" Random="false"></Property>
		<Property Name="NumOfvols" Type="uint16" Random="false">
			<Value>0</Value>
		</Property>
		<!--
			Num Ranks is equal to number of extents
		-->
		<Property Name="NumRanks" Type="uint16" Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="PoolID" Type="string" Random="false"
			Refers="ElementName">
		</Property>
		<Property Name="PoolName" Type="string" Random="false">
		</Property>
		<Property Name="Primordial" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="RankID" Type="string[]" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="redundancy" Type="string[]" Random="false">
			<Value>no-raid</Value>
		</Property>
		<Property Name="RemainingManagedSpace" Type="uint64"
			Random="false">
			<Value>10737418240</Value>
		</Property>
		<Property Name="ReservedManagedSpace" Type="uint64"
			Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="ssID" Type="string" Random="false">
			<Value></Value>
		</Property>
		<Property Name="Status" Type="string" Random="false">
			<Value>Operational</Value>
		</Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="StorageType" Type="string" Random="false">
			<Value>FB</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="TotalManagedSpace" Type="uint64"
			Random="false">
			<Value>10737418240</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_Volume" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_VOLUMES]" AutoGenerate="false">
		<Property Name="Access" Type="uint16" Random="false"></Property>
		<Property Name="AdditionalAvailability" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="Availability" Type="uint16" Random="false">
		</Property>
		<Property Name="BlockSize" Type="uint64" Random="false">
			<Value>512</Value>
		</Property>
		<Property Name="cap" Type="real32" Random="false">
			<Value>1.10000026E9</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="true">
			<Value>4</Value>
		</Property>
		<Property Name="ConfigState" Type="string" Random="false">
			<Value>Normal</Value>
		</Property>
		<Property Name="ConsumableBlocks" Type="uint64"
			Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="Controlled" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_Volume</Value>
		</Property>
		<Property Name="DataOrganization" Type="uint16"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="DataRedundancy" Type="uint16" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="DataState" Type="string" Random="false">
			<Value>Normal</Value>
		</Property>
		<Property Name="DeltaReservation" Type="uint8" Random="false">
			<Value>100</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="DeviceID" Type="string" Random="true"
			Key="true">
			<Value>4</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="true">
			<Value>4</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="ErrorCleared" Type="boolean" Random="false">
		</Property>
		<Property Name="ErrorDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="ErrorMethodology" Type="string"
			Random="false">
		</Property>
		<Property Name="ExtentStatus" Type="uint16[]" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="format" Type="string" Random="false">
			<Value>Block512</Value>
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]"
			Random="false">
			<Value>Serial</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="IsBasedOnUnderlyingRedundancy" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="LastErrorCode" Type="uint32" Random="false">
		</Property>
		<Property Name="lss" Type="string" Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="MaxQuiesceTime" Type="uint64" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false"
			Refers="DeviceID" Prefix="0000000000000000000000000000">
			<Value>4</Value>
		</Property>
		<Property Name="NameFormat" Type="uint16" Random="false">
			<Value>6</Value>
		</Property>
		<Property Name="NameNamespace" Type="uint16" Random="false">
		</Property>
		<Property Name="NoSinglePointOfFailure" Type="boolean"
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="NumberOfBlocks" Type="uint64" Random="true">
			<Value>8</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]"
			Random="false" Refers="DeviceID" Prefix="1000001">
			<Value>6849312112f</Value>
		</Property>
		<Property Name="OtherNameFormat" Type="string" Random="false">
		</Property>
		<Property Name="OtherNameNamespace" Type="string"
			Random="false">
		</Property>
		<Property Name="PackageRedundancy" Type="uint16"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="PowerManagementSupported" Type="boolean"
			Random="false">
		</Property>
		<Property Name="PowerOnHours" Type="uint64" Random="false">
		</Property>
		<Property Name="Primordial" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="Purpose" Type="string" Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="SequentialAccess" Type="boolean"
			Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="SpindleRedundancy" Type="uint16"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="ss" Type="string" Random="false" Refers="lss"
			Prefix="FF">
			<Value></Value>
		</Property>
		<Property Name="status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
			<Value>OK</Value>
		</Property>
		<Property Name="StatusInfo" Type="uint16" Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="TotalPowerOnHours" Type="uint64"
			Random="false">
		</Property>
		<Property Name="unit" Type="string" Random="false">
			<Value>bytes</Value>
		</Property>
		<Property Name="vs" Type="string" Random="false" Refers="PoolID"
			External="IBMTSESS_VolumeSpace">
			<Value></Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_DiskDrive" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_EXTENTS]">
		<Property Name="AdditionalAvailability" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="Availability" Type="uint16" Random="false">
		</Property>
		<Property Name="Capabilities" Type="uint16[]" Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="CapabilityDescriptions" Type="string[]"
			Random="true" Prefix="" Suffix=" GB Disk Drive">
			<Value>2</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CompressionMethod" Type="string"
			Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_DiskDrive</Value>
		</Property>
		<Property Name="DefaultBlockSize" Type="uint64"
			Random="false">
			<Value>512</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="DeviceID" Type="string" Random="true" Key="true"
			Multiple="true">
			<Value>4</Value>
			<Value>4</Value>
			<Value>4</Value>
		</Property>
		<Property Name="ECLevel" Type="string" Random="false">
			<Value>!</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>DiskDrive0 on 1</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="ErrorCleared" Type="boolean" Random="false">
		</Property>
		<Property Name="ErrorDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="ErrorMethodology" Type="string"
			Random="false">
		</Property>
		<Property Name="FirmwareLevel" Type="string" Random="false">
			<Value>940C</Value>
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="LastCleaned" Type="datetime" Random="false">
		</Property>
		<Property Name="LastErrorCode" Type="uint32" Random="false">
		</Property>
		<Property Name="LoadTime" Type="uint64" Random="false">
		</Property>
		<Property Name="Manufacturer" Type="string" Random="false">
			<Value></Value>
		</Property>
		<Property Name="MaxAccessTime" Type="uint64" Random="false">
		</Property>
		<Property Name="MaxBlockSize" Type="uint64" Random="false">
			<Value>512</Value>
		</Property>
		<Property Name="MaxMediaSize" Type="uint64" Random="false">
			<Value>73000000</Value>
		</Property>
		<Property Name="MaxQuiesceTime" Type="uint64" Random="false">
		</Property>
		<Property Name="MaxUnitsBeforeCleaning" Type="uint64"
			Random="false">
		</Property>
		<Property Name="MediaIsLocked" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="MinBlockSize" Type="uint64" Random="false">
			<Value>512</Value>
		</Property>
		<Property Name="Model" Type="string" Random="false">
			<Value>22R456773</Value>
		</Property>
		<Property Name="MountCount" Type="uint64" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false"
			Refers="DeviceID" Prefix="Disk Drive ">
			<Value></Value>
		</Property>
		<Property Name="NeedsCleaning" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="NumberOfMediaSupported" Type="uint32"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]"
			Random="false">
		</Property>
		<Property Name="physicalPackage" Type="string" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="PowerManagementSupported" Type="boolean"
			Random="false">
		</Property>
		<Property Name="PowerOnHours" Type="uint64" Random="false">
		</Property>
		<Property Name="RankID" Type="string" Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="Security" Type="uint16" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="StatusInfo" Type="uint16" Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="TimeOfLastMount" Type="datetime"
			Random="false">
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="TotalMountTime" Type="uint64" Random="false">
		</Property>
		<Property Name="TotalPowerOnHours" Type="uint64"
			Random="false">
		</Property>
		<Property Name="UncompressedDataRate" Type="uint32"
			Random="false">
		</Property>
		<Property Name="UnitsDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="UnitsUsed" Type="uint64" Random="false">
		</Property>
		<Property Name="UnloadTime" Type="uint64" Random="false">
		</Property>
	</Class>

	<Class Name="IBMTSESS_StorageExtent" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_EXTENTS]">
		<Property Name="DeviceID" Type="string" Random="true"
			Key="true">
			<Value>2</Value>
		</Property>
		<Property Name="Access" Type="uint16" Random="false"></Property>
		<Property Name="AdditionalAvailability" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="ArrayIDs" Type="string[]" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="Availability" Type="uint16" Random="false">
		</Property>
		<Property Name="BlockSize" Type="uint64" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="ConsumableBlocks" Type="uint64"
			Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_StorageExtent</Value>
		</Property>
		<Property Name="DAPairs" Type="string[]" Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="DataOrganization" Type="uint16"
			Random="false">
		</Property>
		<Property Name="DataRedundancy" Type="uint16" Random="false">
		</Property>
		<Property Name="DeltaReservation" Type="uint8" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="diskGrpStatus" Type="string" Random="false">
			<Value>Normal</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false"
			Refers="DeviceID" Prefix="Rank ">
			<Value>Rank 1</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="ErrorCleared" Type="boolean" Random="false">
		</Property>
		<Property Name="ErrorDescription" Type="string"
			Random="false">
		</Property>
		<Property Name="ErrorMethodology" Type="string"
			Random="false">
		</Property>
		<Property Name="ExtentStatus" Type="uint16[]" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="IsBasedOnUnderlyingRedundancy" Type="boolean"
			Random="false">
		</Property>
		<Property Name="LastErrorCode" Type="uint32" Random="false">
		</Property>
		<Property Name="MaxQuiesceTime" Type="uint64" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false"
			Refers="ElementName">
			<Value>2</Value>
		</Property>
		<Property Name="NoSinglePointOfFailure" Type="boolean"
			Random="false">
		</Property>
		<Property Name="NumberOfBlocks" Type="uint64" Random="true">
			<Value>8</Value>
		</Property>
		<Property Name="NumOfDataDisks" Type="uint16[]"
			Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]"
			Random="false">
		</Property>
		<Property Name="PackageRedundancy" Type="uint16"
			Random="false">
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="PowerManagementSupported" Type="boolean"
			Random="false">
		</Property>
		<Property Name="PowerOnHours" Type="uint64" Random="false">
		</Property>
		<Property Name="Primordial" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="Purpose" Type="string" Random="false">
		</Property>
		<Property Name="RankGroup" Type="string" Random="false"
			Refers="DeviceID">
			<Value>1</Value>
		</Property>
		<Property Name="Redundancy" Type="string" Random="false">
			<Value>raid5</Value>
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="SequentialAccess" Type="boolean"
			Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="StatusInfo" Type="uint16" Random="false">
		</Property>
		<Property Name="StoragePoolNumber" Type="string"
			Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="StorageType" Type="string" Random="false">
			<Value>FB</Value>
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="TotalPowerOnHours" Type="uint64"
			Random="false">
		</Property>
		<Property Name="Volumes" Type="string[]" Random="false">
			<Value>1100,1101,1102</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_PhysicalPackage" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_EXTENTS]">
		<Property Name="CanBeFRUed" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_PhysicalPackage</Value>
		</Property>
		<Property Name="DAPair" Type="string" Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="DDMCap" Type="real32" Random="false">
			<Value>73.0</Value>
		</Property>
		<Property Name="DDMSpeed" Type="string" Random="false">
			<Value>15000</Value>
		</Property>
		<Property Name="Depth" Type="real32" Random="false"></Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="DeviceAdapters" Type="string[]"
			Random="false">
			<Value>U1750511.6849312-P1-C2,U1750511.6849312-P1-C2</Value>
		</Property>
		<Property Name="RankID" Type="string" Random="false"
			Incremental="true">
			<Value></Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false"
			Refers="true" Multiple="true">
			<Value Prefix="" Suffix=" on ESS">RankID</Value>
			<Value Prefix=" ">Name</Value>
		</Property>
		<Property Name="EnclosureNumbers" Type="string[]"
			Random="false">
		</Property>
		<Property Name="Height" Type="real32" Random="false"></Property>
		<Property Name="HotSwappable" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="location" Type="string" Random="false">
			<Value>Adapter Pair 0, Port (loop), Disk Group 4</Value>
		</Property>
		<Property Name="ManufactureDate" Type="datetime"
			Random="false">
		</Property>
		<Property Name="Manufacturer" Type="string" Random="false">
			<Value>IBM</Value>
		</Property>
		<Property Name="Model" Type="string" Random="false">
			<Value>undefined</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Refers="Name"
			External="IBMTSESS_StorageSystem">
			<Value>1000.1000001</Value>
		</Property>
		<Property Name="NumOfDataDisks" Type="uint16" Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string"
			Random="false">
			<Value>raid10</Value>
		</Property>
		<Property Name="PartNumber" Type="string" Random="false">
		</Property>
		<Property Name="PoweredOn" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="Removable" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="RemovalConditions" Type="uint16"
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Replaceable" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="RIOLoops" Type="string[]" Random="false">
		</Property>
		<Property Name="SerialNumber" Type="string" Random="false">
		</Property>
		<Property Name="SKU" Type="string" Random="false"></Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="Tag" Type="string" Random="false" Key="true"
			Refers="true" Multiple="true">
			<Value External="IBMTSESS_StorageSystem">Name</Value>
			<Value External="IBMTSESS_StorageExtent" Prefix="-">
				DeviceID
			</Value>
		</Property>
		<Property Name="UserTracking" Type="string" Random="false">
		</Property>
		<Property Name="VendorEquipmentType" Type="string"
			Random="false">
		</Property>
		<Property Name="Version" Type="string" Random="false">
		</Property>
		<Property Name="Weight" Type="real32" Random="false"></Property>
		<Property Name="Width" Type="real32" Random="false"></Property>
	</Class>

	<Class Name="IBMTS_ElementConformsToProfile" Namespace="/root/ibm"
		NOI="" Association="true">
		<Antecedent Name="ConformantStandard"
			ClassName="IBMTS_RegisteredProfile" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="ManagedElement" ClassName="IBMTS_ObjectManager"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_ElementConformsToProfile"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="ConformantStandard"
			ClassName="IBMTSESS_RegisteredProfile" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="ManagedElement"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_SubProfileRequiresProfile"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="Antecedent"
			ClassName="IBMTSESS_RegisteredProfile" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="Dependent"
			ClassName="IBMTSESS_RegisteredSubProfile" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_PCMEltCapabilities" Namespace="/root/ibm"
		NOI="" Association="true">
		<Antecedent Name="Capabilities"
			ClassName="IBMTSESS_ProtocolControllerMaskingCapabilities"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="ManagedElement"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_ComputerSystemPackage" Namespace="/root/ibm"
		NOI="" Association="true">
		<Antecedent Name="Antecedent" ClassName="IBMTSESS_Chassis"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="Dependent" ClassName="IBMTSESS_StorageSystem"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_ComputerSystemPackageCard"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="Antecedent"
			ClassName="IBMTSESS_StorageProcessorCard" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="Dependent" ClassName="IBMTSESS_StorageSystem"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_ComputerSystemPhysicalPackage"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="Antecedent"
			ClassName="IBMTSESS_PhysicalPackage" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="Dependent" ClassName="IBMTSESS_StorageSystem"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_Product" Namespace="/root/ibm" NOI=""
		CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>IBM Product 5.2.0.917</Value>
		</Property>
		<Property Name="IdentifyingNumber" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
			<Value>1750.6849312</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>IBM TotalStorage DS6000</Value>
		</Property>
		<Property Name="SKUNumber" Type="string" Random="false">
		</Property>
		<Property Name="Vendor" Type="string" Random="false"
			Key="true">
			<Value>IBM</Value>
		</Property>
		<Property Name="Version" Type="string" Random="false"
			Key="true">
			<Value>5.2.0.917</Value>
		</Property>
		<Property Name="WarrantyDuration" Type="uint32"
			Random="false">
		</Property>
	</Class>

	<Class Name="IBMTSESS_ProductPhysicalComponent"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="GroupComponent" ClassName="IBMTSESS_Product"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="PartComponent" ClassName="IBMTSESS_Chassis"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_SAPAvailableForElement" Namespace="/root/ibm"
		NOI="" Association="true">
		<Antecedent Name="AvailableSAP"
			ClassName="IBMTSESS_RemoteServiceAccessPoint" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="ManagedElement"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_SoftwareIdentity" Namespace="/root/ibm"
		NOI="1">
		<Property Name="BuildNumber" Type="uint16" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="ClassificationDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="Classifications" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
		</Property>
		<Property Name="InstanceID" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem"
			Prefix="IBM:SanJose-">
			<Value>IBM:SanJose-1750.6849312</Value>
		</Property>
		<Property Name="Languages" Type="string[]" Random="false">
		</Property>
		<Property Name="MajorVersion" Type="uint16" Random="false">
		</Property>
		<Property Name="Manufacturer" Type="string" Random="false">
			<Value>IBM</Value>
		</Property>
		<Property Name="MinorVersion" Type="uint16" Random="false">
		</Property>
		<Property Name="Name" Type="string" Random="false"></Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="RevisionNumber" Type="uint16" Random="false">
		</Property>
		<Property Name="SerialNumber" Type="string" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="TargetOperatingSystems" Type="string[]"
			Random="false">
		</Property>
		<Property Name="VersionString" Type="string" Random="false">
		</Property>
	</Class>

	<Class Name="IBMTSESS_InstalledSoftwareIdentity"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="InstalledSoftware"
			ClassName="IBMTSESS_SoftwareIdentity" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="System" ClassName="IBMTSESS_StorageSystem"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_ComponentCS" Namespace="/root/ibm" NOI=""
		Association="true">
		<Antecedent Name="GroupComponent"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="PartComponent" ClassName="IBMTSESS_Cluster"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_StorageSystemToPort" Namespace="/root/ibm"
		NOI="" Association="true">
		<Antecedent Name="GroupComponent"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="PartComponent" ClassName="IBMTSESS_FCPort"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_HostedPrimordialStoragePool"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="GroupComponent"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="PartComponent"
			ClassName="IBMTSESS_PrimordialStoragePool" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_HostedStoragePool" Namespace="/root/ibm"
		NOI="" Association="true" AutoGenerate="false">
		<Antecedent Name="GroupComponent"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="PartComponent" ClassName="IBMTSESS_VolumeSpace"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_SystemDevice" Namespace="/root/ibm" NOI=""
		Association="true">
		<Antecedent Name="GroupComponent"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="PartComponent" ClassName="IBMTSESS_DiskDrive"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_StorageSystemToController"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="GroupComponent"
			ClassName="IBMTSESS_StorageSystem" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="PartComponent"
			ClassName="IBMTSESS_SCSIProtocolController" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_HostedService3" Namespace="/root/ibm" NOI=""
		Association="true">
		<Antecedent Name="Antecedent" ClassName="IBMTSESS_StorageSystem"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="Dependent"
			ClassName="IBMTSESS_StorageHardwareIDManagementService"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_EltCapabilitiesStgPool" Namespace="/root/ibm"
		NOI="" Association="true">
		<Antecedent Name="Capabilities"
			ClassName="IBMTSESS_StorageCapabilities" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="ManagedElement"
			ClassName="IBMTSESS_PrimordialStoragePool" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_ElementCapabilities" Namespace="/root/ibm"
		NOI="" Association="true" AutoGenerate="false">
		<Antecedent Name="Capabilities"
			ClassName="IBMTSESS_StorageCapabilities" Namespace="/root/ibm"
			Key="true">
		</Antecedent>
		<Dependent Name="ManagedElement"
			ClassName="IBMTSESS_VolumeSpace" Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_AllocatedFromStoragePool"
		Namespace="/root/ibm" NOI="" Association="true"
		AutoGenerate="false">
		<Antecedent Name="Antecedent" ClassName="IBMTSESS_VolumeSpace"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="Dependent" ClassName="IBMTSESS_Volume"
			Namespace="/root/ibm" Key="true">
		</Dependent>
		<Property Name="SpaceConsumed" Type="uint64" Random="false">
			<Value>135291469824</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_Component" Namespace="/root/ibm" NOI=""
		Association="true" AutoGenerate="false">
		<Antecedent Name="GroupComponent"
			ClassName="IBMTSESS_VolumeSpace" Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="PartComponent"
			ClassName="IBMTSESS_StorageExtent" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_MediaPresentExtent" Namespace="/root/ibm"
		NOI="" Association="true">
		<Antecedent Name="Antecedent" ClassName="IBMTSESS_DiskDrive"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="Dependent" ClassName="IBMTSESS_StorageExtent"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_AuthorizedTarget" Namespace="/root/ibm" NOI=""
		Association="true">
		<Antecedent Name="Privilege" ClassName="IBMTSESS_Privilege"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="TargetElement"
			ClassName="IBMTSESS_SCSIProtocolController" Namespace="/root/ibm"
			Key="true">
		</Dependent>
	</Class>

	<Class Name="IBMTSESS_ProtocolControllerForPort"
		Namespace="/root/ibm" NOI="" Association="true">
		<Antecedent Name="Antecedent"
			ClassName="IBMTSESS_SCSIProtocolController" Namespace="/root/ibm">
		</Antecedent>
		<Dependent Name="Dependent" ClassName="IBMTSESS_FCPort"
			Namespace="/root/ibm">
		</Dependent>
		<Property Name="AccessPriority" Type="uint16" Random="false"
			Key="true">
			<Value>0</Value>
		</Property>
		<Property Name="AccessState" Type="uint16" Random="false"
			Key="true">
			<Value>3</Value>
		</Property>
		<Property Name="DeviceNumber" Type="string" Random="false"
			Refers="DeviceID" External="IBMTSESS_FCPort">
			<Value>0000</Value>
		</Property>
	</Class>

	<Class Name="IBMTSESS_StorageConfigurationService"
		Namespace="/root/ibm" NOI="1">
		<Property Name="CreationClassName" Type="string" Random="false"
			Key="true">
			<Value>IBMTSESS_StorageConfigurationService</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true"
			Refers="Name" External="IBMTSESS_StorageSystem"
			Prefix="StorageConfigurationService for ">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string"
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerName" Type="string"
			Random="false">
		</Property>
		<Property Name="Started" Type="boolean" Random="false">
		</Property>
		<Property Name="StartMode" Type="string" Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string"
			Random="false" Key="true">
			<Value>IBMTSESS_StorageSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false"
			Key="true" Refers="Name" External="IBMTSESS_StorageSystem">
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string"
			Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime"
			Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]"
			Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false"></Property>
		<Property Name="StatusDescriptions" Type="string[]"
			Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false"
			Refers="Name">
		</Property>
	</Class>

	<Class Name="IBMTSESS_HostedService" Namespace="/root/ibm" NOI=""
		Association="true">
		<Antecedent Name="Antecedent" ClassName="IBMTSESS_StorageSystem"
			Namespace="/root/ibm" Key="true">
		</Antecedent>
		<Dependent Name="Dependent"
			ClassName="IBMTSESS_StorageConfigurationService"
			Namespace="/root/ibm" Key="true">
		</Dependent>
	</Class>
</SAN_Simulator>
